Skip to main content

Add Source Modfile

POST 

/games/:game-id/mods/:mod-id/sources

Upload a source file for the corresponding mod. Successful request will return the newly created Modfile Object.

tip

Rules engine applies here.

info

Cross-platform submissions are supported on this endpoint. To target particular platforms, see the platforms body parameter.

Request​

Error Codes​

Status CodeError RefDescription
40315006

The authenticated user does not have permission to upload modfiles for the specified mod, ensure the user is a team manager or administrator.

42213002

The payload passed in the request was unable to be validated/read by mod.io, please try again.

See here for more details about errors.

Responses​

Resource Created

Response Headers
    Location

    URL to newly created resource